Postgresql pg_hba.conf needs IP addresses

Bug #902672 reported by Patrick Hetu on 2011-12-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
postgresql (Juju Charms Collection)
Undecided
Mark Mims

Bug Description

I add relations to postgresql and it doesn't restart because the address in pg_hba.conf
was a domain name.

Maybe we can use gethostip from the syslinux package to make sure it's an IP addresses
that we add::

  host=`gethostip $(unit-get private-address) | awk '{print $2}'`

Related branches

affects: charm → postgresql (juju Charms Collection)
Mark Mims (mark-mims) on 2011-12-12
Changed in postgresql (juju Charms Collection):
assignee: nobody → Mark Mims (mark-mims)
status: New → In Progress
Timothy R. Chavez (timrchavez) wrote :

Any progress on a fix? I think I just got burned by this :/

2012-05-11 18:21:22,024 unit:postgresql/0: hook.output INFO: * The PostgreSQL server failed to start. Please check the log output:
2012-05-11 23:21:21 UTC LOG: specifying both host name and CIDR mask is invalid: "ip-10-190-103-176.ec2.internal/32"
2012-05-11 23:21:21 UTC CONTEXT: line 100 of configuration file "/etc/postgresql/9.1/main/pg_hba.conf"
2012-05-11 23:21:21 UTC FATAL: could not load pg_hba.conf
   ...fail!

Mark Mims (mark-mims) on 2012-06-15
Changed in postgresql (Juju Charms Collection):
status: In Progress → Fix Committed
Mark Mims (mark-mims) on 2012-06-15
Changed in postgresql (Juju Charms Collection):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers